Bug 961643 - mismatched naming/symbol of the librepo exception class
mismatched naming/symbol of the librepo exception class
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: librepo (Show other bugs)
19
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Tomas Mlcoch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 03:27 EDT by Ales Kozumplik
Modified: 2014-09-30 19:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-17 07:49:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Kozumplik 2013-05-10 03:27:15 EDT
Description of problem:

Suppose the following:

>>> import librepo
>>> raise librepo.LibrepoException(3,3,4)
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
_librepo.Exception: (3, 3, 4)
>>> 

Notice that for the programmer the exception is called 'librepo.LibrepoException' yet the traceback reports it simply as _librepo.Exception. These two should be the same.
Comment 1 Ales Kozumplik 2013-05-10 03:34:58 EDT
for a real life example of such a traceback see bug 961549 comment 0.

Note You need to log in before you can comment on or make changes to this bug.